//
// clk_reset.v -- clock and reset generator
//


module clk_reset(clk_in, reset_in,
                 clk, reset);
    input clk_in;
    input reset_in;
    output clk;
    output reset;

  reg reset_p;
  reg reset_s;
  reg [23:0] reset_counter;
  wire reset_counting;

  assign clk = clk_in;

  assign reset_counting = (reset_counter == 24'hFFFFFF) ? 0 : 1;

  always @(posedge clk_in) begin
    reset_p <= reset_in;
    reset_s <= reset_p;
    if (reset_s == 1) begin
      reset_counter <= 24'h000000;
    end else begin
      if (reset_counting == 1) begin
        reset_counter <= reset_counter + 1;
      end
    end
  end

  assign reset = reset_counting;

endmodule
