module dsp(clk, reset,
           en, wr, addr,
           data_in, data_out, wt,
           hsync, vsync, r, g, b);
    // internal interface
    input clk;
    input reset;
    input en;
    input wr;
    input [13:2] addr;
    input [15:0] data_in;
    output [15:0] data_out;
    output wt;
    // external interface
    output hsync;
    output vsync;
    output r;
    output g;
    output b;

  reg [15:8] dummy;

  assign wt = 0;

  always @(posedge clk) begin
    if (reset) begin
      dummy[15:8] <= 8'h00;
    end else begin
      dummy[15:8] <= data_in[15:8];
    end
  end
  assign data_out[15:8] = dummy[15:8];

  display display1(
    .clk(clk),
    .en(en),
    .wr(wr),
    .rdwr_row(addr[13:9]),
    .rdwr_col(addr[8:2]),
    .wr_data(data_in[7:0]),
    .rd_data(data_out[7:0]),
    .hsync(hsync),
    .vsync(vsync),
    .r(r),
    .g(g),
    .b(b)
  );

endmodule
