module pixel(clk, pixclk,
             pixel, blank, hsync_in, vsync_in,
             r, g, b, hsync, vsync);
    input clk;
    input pixclk;
    input pixel;
    input blank;
    input hsync_in;
    input vsync_in;
    output reg r;
    output reg g;
    output reg b;
    output reg hsync;
    output reg vsync;

  wire pixdata;

  assign pixdata = pixel & blank;

  always @(posedge clk) begin
    if (pixclk == 1) begin
      r <= pixdata;
      g <= pixdata;
      b <= pixdata;
      hsync <= hsync_in;
      vsync <= vsync_in;
    end
  end

endmodule
