module kbd(ps2_clk, ps2_data,
           clk, reset,
           en, wr, addr,
           data_in, data_out,
           wt, irq);
    // external interface
    input ps2_clk;
    input ps2_data;
    // internal interface
    input clk;
    input reset;
    input en;
    input wr;
    input addr;
    input [7:0] data_in;
    output [7:0] data_out;
    output wt;
    output irq;

  wire [7:0] data;
  wire data_rdy;

  assign wt = 0;
  assign irq = | data_in[7:0];

  keyboard keyboard1(
    .ps2_clk(ps2_clk),
    .ps2_data(ps2_data),
    .clk(clk),
    .reset(reset),
    .kbd_data(data),
    .kbd_rdy(data_rdy)
  );

  kbdctrl kbdctrl1(
    .clk(clk),
    .reset(reset),
    .en(en),
    .wr(wr),
    .a2(addr),
    .data_rdy(data_rdy),
    .data_in(data),
    .data_out(data_out)
  );

endmodule
