module kbdctrl(clk, reset,
               en, wr, a2,
               data_rdy, data_in, data_out);
    input clk;
    input reset;
    input en;
    input wr;
    input a2;
    input data_rdy;
    input [7:0] data_in;
    output [7:0] data_out;

  reg [7:0] data;
  reg rdy;

  always @(posedge clk) begin
    if (reset == 1) begin
      data <= 8'h00;
      rdy <= 0;
    end else begin
      if (data_rdy == 1) begin
        data <= data_in;
      end
      if (data_rdy == 1 ||
          (en == 1 && wr == 0 && a2 == 1)) begin
        rdy <= data_rdy;
      end
    end
  end

  assign data_out =
    (a2 == 1) ? data : { 7'b0000000, rdy };

endmodule
