module rom(clk, reset,
           en, wr, size, addr,
           data_out, wt);
    input clk;
    input reset;
    input en;
    input wr;
    input [1:0] size;
    input [23:0] addr;
    output reg [31:0] data_out;
    output reg wt;

  // fake some action
  always @(posedge clk) begin
    if (reset) begin
      wt <= 0;
      data_out <= 32'h00000000;
    end else begin
      if (en == 1 && wr == 0) begin
        if (size == 2'b10) begin
          wt <= 0;
          data_out <= { addr[23:0], addr[7:0] };
        end else begin
          wt <= 1;
          data_out <= 32'h00000000;
        end
      end
    end
  end

endmodule
